Subject: Re: bug#34179: 27.0.50; message hangs when buffer with process visible

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 Jan 2019 18:29:07 +0200

> From: Michael Heerdegen <[email-masked]>
> Date: Wed, 23 Jan 2019 16:10:20 +0100
> 
> The problem is: when some Emacs frame is displaying *shell*, or, I
> think, some other buffer having an attached buffer process, Emacs
> randomly freezes: 100% CPU usage, nothing happens, need to hit C-g
> several times to get out.
> 
> With debug-on-quit on I see that the backtrace is quite different every
> time, different situations, but they have all in common that 'message'
> is at the top (i.e. has been interrupted by C-g).
> 
> With the profiler I also see that message has been run for a very long
> time (not redisplay, that has a much smaller amount).

Any chance of you attaching the debugger to Emacs during these "hangs"
and showing a C backtrace and a Lisp backtrace (via xbacktrace)?

Thanks.